QGIS Application - Bug report #4801
QGIS crashes when trying to add new layer or open existing project
2012-01-13 05:50 AM - Muyiwa Gbadegesin

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corruptsdata: Copied to github as #: 14653
Description

QGIS crashes (program closes) when attemtping to add a new shapefile layer or when trying to open an existing project.
| started experiencing this with QGIS 1.7.3 (wroclaw)and also an older installation of QGIS 1.0.0. The problem persisted after uninstalling
QGIS 1.7.3 and installing QGIS 1.9 (latest development build). Please find below the problem report:

Process: QGIS [256]

Path: /Applications/QGIS-1.9.app/Contents/MacOS/QGIS
Identifier:  org.qgis.qgis-dev

Version: 1.9.90 (1.9.90 (8ccaef7))

Code Type:  X86-64 (Native)

Parent Process: launchd [144]

Date/Time: 2012-01-13 12:48:53.151 +0100
OS Version: Mac OS X 10.6.8 (10K549)
Report Version: 6

Interval Since Last Report: 98538 sec

Crashes Since Last Report: 15

Per-App Interval Since Last Report: 149 sec

Per-App Crashes Since Last Report: 2

Anonymous UUID: 45AEC375-B44A-462D-B6EC-F45240C6C55C

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: 0x000000000000000d, 0x0000000000000000

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Thread 0 Crashed: Dispatch queue: com.apple.main-thread

0 QtCore 0x00000001027810b8 QTextCodec::toUnicode(char const*) const + 40

1 libogrprovider.so 0x000000011c64f9b5 QgsOgrProvider::loadFields() + 251

2 libogrprovider.so 0x000000011c650f54 QgsOgrProvider::setSubsetString(QString, bool) + 1548

3 libogrprovider.so 0x000000011c651e31 QgsOgrProvider::QgsOgrProvider(QString const&) + 1625

4 libogrprovider.so 0x000000011c65276€ classFactory + 34

5 org.qgis.qgis_core 0x0000000101bf8ed4a QgsProviderRegistry::provider(QString const&, QString const&) + 156
6 org.qgis.qgis_core 0x0000000101c2a589 QgsVectorLayer::setDataProvider(QString const&) + 89

7 org.qgis.qgis_core 0x0000000101c2ad47 QgsVectorLayer::readXml(QDomNode const&) + 333

8 org.qgis.qgis_core 0x0000000101bcdab8 QgsMapLayer::readXML(QDomNode const&) + 2802

9 org.qgis.qgis_core 0x0000000101beac9d QgsProject::addLayer(QDomElement const&, QList<QDomNode>&,
QList<QPair<QgsVectorLayer*, QDomElement> >&) + 867

10 org.qgis.qgis_core 0x0000000101bec410 QgsProject::_getMapLayers(QDomDocument const&) + 930

11 org.qgis.qgis_core 0x0000000101beda1c QgsProject::read() + 3016
12 org.qgis.qgis_core
13 org.qgis.qgis-dev
14 org.qgis.qgis-dev
15 org.qgis.qgis-dev
4001

16 QtCore

17 QtGui

18 QtGui

19 QtCore

20 QtGui

21 QtGui

22 com.apple.AppKit
23 com.apple.AppKit
24 com.apple.AppKit
25 com.apple.AppKit
26 com.apple.AppKit
136

27 com.apple.AppKit

0x0000000101bee30e QgsProject::read(QFilelnfo const&) + 72

0x00000001000261b9 QgisApp::addProject(QString) + 155

0x00000001000270b3 QgisApp::openProject(QAction*) + 119

0x000000010025a591 QgisApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) +

0x0000000102765fb1 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2001
0x0000000102dbed4eb QMenuPrivate::_qg_actionTriggered() + 131
0x0000000102db8baf QMenu::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) + 313
0x0000000102765fb1 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2001
0x00000001029d5ae2 QAction::activate(QAction::ActionEvent) + 194
0x000000010298b007 -[QCocoaMenuLoader qtDispatcherToQAction:] + 71
0x00007fff80352eda -[NSApplication sendAction:to:from:] + 95
0x00007fff8037746a -[NSMenultem _corePerformAction] + 365

0x00007fff803771d4 -[NSCarbonMenulmpl performActionWithHighlightingForltemAtindex:] + 121

0x00007fff805fccf4 -[NSMenu _internalPerformActionForltemAtindex:] + 35
0x00007fff804ae9e9 -[NSCarbonMenulmpl _carbonCommandProcessEvent:handlerCallRef:] +

0x00007fff8035999c NSSLMMenuEventHandler + 321

28 com.apple.HIToolbox 0x00007fff840007{7 DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*,
HandlerCallRec*) + 1002

29 com.apple.HIToolbox 0x00007fff83fffd46 SendEventToEventTargetinternal(OpaqueEventRef*,
OpaqueEventTargetRef*, HandlerCallRec*) + 395

0x00007fff8401da81 SendEventToEventTarget + 45

31 com.apple.HIToolbox 0x00007fff8404cc35 SendHICommandEvent(unsigned int, HICommand const*, unsigned int,
unsigned int, unsigned char, void const*, OpagqueEventTargetRef*, OpaqueEventTargetRef*, OpaqueEventRef**) + 387
0x00007fff84079a0a SendMenuCommandWithContextAndModifiers + 56
0x00007fff840799c2 SendMenultemSelectedEvent + 101

0x00007fff840798d2 FinishMenuSelection(SelectionData*, MenuResult*, MenuResult*) + 150

0x00007fff8405ac27 MenuSelectCore(MenuData*, Point, double, unsigned int,

30 com.apple.HIToolbox

32 com.apple.HIToolbox
33 com.apple.HIToolbox
34 com.apple.HIToolbox
35 com.apple.HIToolbox

OpaqueMenuRef**, unsigned short*) + 467

36 com.apple.HIToolbox

37 com.apple.AppKit
38 com.apple.AppKit
39 com.apple.AppKit
40 com.apple.AppKit
41 QtGui

0x00007fff8405a37¢c _HandleMenuSelection2 + 453
0x00007fff8022a851 _NSHandleCarbonMenuEvent + 236
0x00007fff801fe362 _ DPSNextEvent + 1908

0x00007fff801fd801 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 155

0x00007fff801c368f -[NSApplication run] + 395
0x000000010299522a0

QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlags>) + 840

42 QtCore
43 QtCore
44 org.qgis.qgis-dev
45 org.qgis.qgis-dev

0x000000010274df08 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 394
0x00000001027510d3 QCoreApplication::exec() + 175

0x000000010000858€e main + 6875

0x00000001000067a4 start + 52

Thread 1: Dispatch queue: com.apple.libdispatch-manager

0 libSystem.B.dylib
libSystem.B.dylib
libSystem.B.dylib
libSystem.B.dylib
libSystem.B.dylib
libSystem.B.dylib

a »~ 0N =

0x00007fff81bc1c0a kevent + 10

0x00007fff81bc3add _dispatch_mgr_invoke + 154
0x00007fff81bc37b4 _dispatch_queue_invoke + 185
0x00007fff81bc32de _dispatch_worker_thread2 + 252
0x00007fff81bc2c08 _pthread_wqthread + 353
0x00007fff81bc2aab start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
rax: 0x0000000000000006 rbx: 0x00007fff5fbfce30 rcx: 0x000000000000fc00 rdx: 0x0000000101219344
rdi: Oxfffffffiffffffic rsi: 0x4030000000300000 rbp: 0x00007fff5fbfcdcO rsp: 0x00007fff5fbfcdal
r8: 0x0000000000000001 r9: 0x000000011f811bal r10: 0x00007fff5fc404a0 r11: 0x0000000102781090
r12: 0x00007fff5fbfce30 r13: 0x0000000000000000 r14: 0x0000000101219344 r15: 0x4030000000300000
rip: 0x00000001027810b8 rfl: 0x0000000000010217 cr2: 0x0000000100b2a472

Binary Images:

0x100000000 - 0x100517ff7 +org.qgis.qgis-dev 1.9.90 (1.9.90 (8ccaef7))
<07CB08F4-05D9-38AF-93C3-DFA19AE2D572> /Applications/QGIS-1.9.app/Contents/MacOS/QGIS

0x100666000 - 0x1006f2fe7 +libqwt.dylib 5.2.1 (compatibility 5.2.0) <4A3B001E-7092-3080-8C5B-B4F3A6E5BOEO>
/Applications/QGIS-1.9.app/Contents/MacOS/lib/libqwt.dylib

0x100728000 - 0x10075dfe7 +QtSql 4.8.0 (compatibility 4.8.0) <OEBS8DEB9-ECF0-30CE-8D96-1888371F132D>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtSql.framework/Versions/4/QtSq|

0x10076f000 - 0x101510ff7 +org.gdal.gdal 1.8.1 (GDAL/OGR 1.8.1-2) <46A9B527-95B6-3E8B-B504-C3E5E3372F54>
/Library/Frameworks/GDAL.framework/Versions/1.8/GDAL

0x101b14000 - 0x101e0bff7 +org.qgis.qgis_core 1.9.90 (qgis_core 1.9.90)
<DO3FFEDE-6BB4-378D-881F-67610CCCC30E>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgis_core.framework/Versions/1.9/qgis_core

0x101f23000 - 0x102103fef +org.qgis.qgis_gui 1.9.90 (qgis_gui 1.9.90)
<E77A9BC3-BCE6-35FA-9BE1-3C2C7B1AA60F>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgis_gui.framework/Versions/1.9/qgis_gui

0x1021e0000 - 0x102224fff +org.qgis.qgis_analysis 1.9.90 (qgis_analysis 1.9.90)
<BD40DD59-1F15-3EF4-BA04-1607D671F42A>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgis_analysis.framework/Versions/1.9/qgis_analysis

0x10223d000 - 0x10225afff +libpg.dylib 5.4.0 (compatibility 5.0.0) <76121F64-1FC4-3343-8994-EAE8975D6A 13>
/Applications/QGIS-1.9.app/Contents/MacOS/lib/libpg.dylib

0x102265000 - 0x1025c4fe7 +org.sqlite.sqlite3 3.7.6.3 (SQLite3 3.7.6.3-1)
<F0D211B6-2C91-CC46-64BC-69185DB7ACC5> /Library/Frameworks/SQLite3.framework/Versions/3/SQLite3

0x1025e4000 - 0x102627fe7 +QtXml 4.8.0 (compatibility 4.8.0) <A3107C98-64AB-3910-B3EA-2EC3EE703D5C>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml

0x10263c000 - 0x1028ddfff +QtCore 4.8.0 (compatibility 4.8.0) <FCA595BB-D66F-33B6-BB18-A2D383AD9E78>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore

0x10295a000 - 0x103316fe7 +QtGui 4.8.0 (compatibility 4.8.0) <CAEAEA4A-529E-3149-9609-71D0BAF9004 1>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

0x10355a000 - 0x103689fe7 +QtNetwork 4.8.0 (compatibility 4.8.0) <27E65235-06D4-3E99-92D6-FF8487024D13>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork

0x1036dc000 - 0x103728fff +QtSvg 4.8.0 (compatibility 4.8.0) <91CDF335-F07C-364D-B013-42023F0DF733>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtSvg.framework/Versions/4/QtSvg

0x103742000 - 0x103771fff +org.maptools.proj 4.7.0 (PROJ 4.7.0-2) <7FCE23B7-503C-8C93-6BD2-5D08C5B262DB>
/Library/Frameworks/PROJ.framework/Versions/4/PROJ

0x10377d000 - 0x10386dfff +org.osgeo.geos 3.3.0 (GEOS 3.3.0-2) <60C36024-2EE4-3A4C-9E32-EC6EAAFFF534>
/Library/Frameworks/GEOS.framework/Versions/3/GEOS

0x103944000 - 0x103987ff7 libiodbc.2.dylib 4.18.0 (compatibility 4.0.0)
<E8B6477A-E3BA-B781-6D7E-2C7118EA2ABD> /ust/lib/libiodbc.2.dylib

0x103992000 - 0x1039a0fff libiodbcinst.2.dylib 4.18.0 (compatibility 4.0.0)
<94075961-B98D-2C76-DE7D-49D6C63844D2> /ust/lib/libiodbcinst.2.dylib

0x103926000 - 0x103ab4ff7 +com.kyngchaos.UniximagelO 1.3.1 (UnixImagelO 1.3.1)
<07F404A1-64CF-32FC-B07A-8F1471D7EDA2> /Library/Frameworks/UnixImagelO.framework/Versions/D/UnixImagelO

0x103aec000 - 0x103b24fe7 +libogdi.dylib ??? (??7?) <F2BF367E-21A2-CEC2-1B5B-64E0508DBB1F>
/Library/Frameworks/GDAL.framework/Versions/1.8/Libraries/libogdi.dylib

0x103b30000 - 0x103b4cfff +libpg.dylib 5.3.0 (compatibility 5.0.0) <1FB622DB-BAB7-F4CD-D9A9-7E024478EBB7>
/Library/Frameworks/GDAL.framework/Versions/1.8/Libraries/libpg.dylib

0x103b56000 - 0x103b5efef +libintl.dylib 10.1.0 (compatibility 10.0.0) <937F7B46-EC9C-4441-43FD-4CD508BE99E2>
/Library/Frameworks/GDAL.framework/Versions/1.8/Libraries/libintl.dylib

0x103b64000 - 0x103b6cfef +libintl.dylib 10.1.0 (compatibility 10.0.0) <937F7B46-EC9C-4441-43FD-4CD508BE99E2>
/Applications/QGIS-1.9.app/Contents/MacOS/lib/libintl.dylib

0x103f40000 - 0x103f49fff _sqlite3.so ??? (??7) <9FBFA469-EEA4-67CA-B92D-5C30D91887E9>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_sqlite3.so

0x103f53000 - 0x103f56ff7 zlib.so 7?7 (?7?) <647721E3-67B5-8CD0-3A78-060FF9C80924>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/zlib.so

0x103fb1000 - 0x103feafff +libgjpeg.dylib ??7? (???) <OF38702E-8A7F-303D-A19A-E3AE67D30BC5>
/Applications/QGIS-1.9.app/Contents/Plugins/imageformats/libgjpeg.dylib

0x103ff5000 - 0x103ffaff7 + () <ABD89F50-8664-3E04-BAE6-F79903FA2FC9>
/Applications/QGIS-1.9.app/Contents/Frameworks/OpenThreads.framework/Versions/2/OpenThreads

0x10572e000 - 0x1057bcfff +libcoordinatecaptureplugin.so ??? (?7?) <D9B54329-D534-3F59-9199-9ACFA3B43E7E>
/Applications/QGIS-1.9.app/Contents/Plugins/qgis/libcoordinatecaptureplugin.so

0x1057¢6000 - 0x1057dbff7 +libdelimitedtextplugin.so ??? (???) <6181AF80-D4BB-374A-B1DC-9B5557A42424>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libdelimitedtextplugin.so

0x1057e6000 - 0x1057f3ff7 +libdelimitedtextprovider.so ??? (???) <B5C261A6-9CBA-30B6-88B3-8A4DB5F9A968>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libdelimitedtextprovider.so

0x117bda000 - 0x117be7fff +libggispython.1.9.90.dylib 1.9.90 (compatibility 1.9.90)
<3AF728DA-ECC0-3287-9B9C-9343470F20B0> /Applications/QGIS-1.9.app/Contents/MacOS/lib/libggispython.1.9.90.dylib

0x117bec000 - 0x117bfeff7 +sip.so 7?7 (?7?) <8BD960A3-50F3-31AD-9488-23E87E5349A0>
/Applications/QGIS-1.9.app/Contents/Resources/python/sip.so

0x117c0a000 - 0x117¢30ff7 +libdiagramoverlay.so ??7? (??7?) <7214EE46-942F-389D-AEA1-4AD9E45D3D86>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libdiagramoverlay.so

0x117c49000 - 0x117c6aff7 +libdxf2shpconverterplugin.so ??7? (???) <B8C335EB-3578-331E-95F5-9987AF29F24D>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libdxf2shpconverterplugin.so

0x117e76000 - 0x117e7ffff +libzonalstatisticsplugin.so ??? (???) <30535FE5-99C6-3F5D-AA8F-9DA6C3EC403F>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libzonalstatisticsplugin.so

0x117e87000 - 0x117e92fe7 datetime.so ??? (???) <C8DD63B4-9685-C134-E60A-0ED11A0CCAF7>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/datetime.so

0x117e9b000 - 0x117e9cff7 time.so ??? (???) <C903FAB1-83BC-9AE8-4C31-860038174217>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/time.so

0x117ea2000 - 0x117ea4ff7 math.so ??7? (??7?) <54D066FD-A9F9-EA69-8C3C-CE83DF68C58A>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/math.so

0x117eaa000 - 0x117eabff7 _functools.so ??? (??7?) <97A294C7-290C-9746-B294-275516490F40>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_functools.so

0x117eaf000 - 0x117ebOfff _locale.so 7?77 (???) <43F84ED0-3A85-1997-8098-2D3870B4012D>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_locale.so

0x117ef9000 - 0x117efcfe7 +libgrass_rtree.dylib 6.4.0 (compatibility 6.4.0)
<4C9133C7-D15C-3F93-07BD-E6016CAD8B2A> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_rtree.dylib

0x118100000 - 0x11815¢ff7 +libwmsprovider.so ??? (???) <E43DF11A-0C71-35E1-A86E-5B7D98B28C0C>
/Applications/QGIS-1.9.app/Contents/Plugins/qgis/libwmsprovider.so

0x11817¢c000 - 0x11817dfff cStringlO.so ??? (???) <0C7D1D15-4241-99A9-7671-A3CF105C2EBB>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/cStringlO.so

0x119341000 - 0x11937dfff +libevis.so ??? (??7?) <D8C7D581-C45E-330B-9DB9-D2AA8A6DD 125>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libevis.so

0x119394000 - 0x1193aaff7 +libgdalprovider.so ??? (??7) <780A67E2-3D8B-3DE6-AC8D-A13ACCF3228B>
/Applications/QGIS-1.9.app/Contents/Plugins/qgis/libgdalprovider.so

0x1193b6000 - 0x1193bcff7 com.apple.agl 3.0.12 (AGL-3.0.12) <014CA38F-CB49-8214-4C16-DF73FC6EFCE1>
/System/Library/Frameworks/AGL.framework/Versions/A/AGL

0x1193c3000 - 0x1193daff7 +libgpxprovider.so ??? (???) <4B24D0F8-B08F-3D94-B2D2-FFAF311AB242>
/Applications/QGIS-1.9.app/Contents/Plugins/qgis/libgpxprovider.so

0x1193e9000 - 0x1193f3ff7 +libgrass_dbmibase.dylib 6.4.0 (compatibility 6.4.0)
<0A4F52D3-4D0B-4276-5D5C-15F38EEBA87E> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_dbmibase.dylib

0x1193fa000 - 0x1193faff7 +libgrass_linkm.dylib 6.4.0 (compatibility 6.4.0)
<CC4839FF-EB5F-D815-6C0D-98BAD71708A2> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_linkm.dylib
0x119500000 - 0x119579ff7 +libgeorefplugin.so ??? (??7?) <6F767DF1-51FE-3182-9C31-C9C8383012C5>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libgeorefplugin.so

0x1195ad000 - 0x119741fff +org.gnu.gsl 1.15 (GSL 1.15-2) <557A8D45-290E-3DF8-B04A-CDO65A34E5F 1>
/Library/Frameworks/GSL.framework/Versions/1/GSL

0x11979d000 - 0x1197deff7 +libglobeplugin.so ??? (??7?) <BD82A092-3FD0-3BA2-9C34-15B887415579>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libglobeplugin.so

0x11981a000 - 0x1198f0fef +QtOpenGL 4.8.0 (compatibility 4.8.0) <8B970BAE-E8EE-3329-92BC-03D3832B1E3C>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtOpenGL.framework/Versions/4/QtOpenGL

0x119928000 - 0x119b37ff7 + () <75E07CD3-7A51-32EE-B7EF-22AB41F399BE>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgDB.framework/Versions/3/0sgDB

0x119¢d6000 - 0x119d46ff7 + () <SCOE60A8-9428-3676-81C4-DE15EA7FDF23>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgGA.framework/Versions/3/0sgGA

0x119da6000 - 0x11a2cfff7 + () <7D614260-EDB4-3455-B514-3433F2EF8FID>
/Applications/QGIS-1.9.app/Contents/Frameworks/osg.framework/Versions/3/osg

0x11a674000 - Ox11a7e6fff + () <4AB5D2EC-F30D-375B-A2C7-1B38FA762147>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgViewer.framework/Versions/3/osgViewer

0x11a8dd000 - 0x11a9eefff + () <C2E7C6CE-F984-3512-8A54-895C3848A95F>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgEarth.framework/Versions/2/osgEarth

0x11aea1000 - 0x11af0cff7 + () <2560B9D8-A3D5-37B4-9270-E4EDCBB45575>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgEarthFeatures.framework/Versions/2/osgEarthFeatures

0x11af72000 - 0x11b01efff + () <83DCC910-68D3-3EB1-8FE3-67250C311102>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgEarthUtil.framework/Versions/2/osgEarth Util

0x11b0a0000 - 0x11b47efe7 + () <7C6EAEG4-447B-3C58-A404-EA2F90ECESEA>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgUtil.framework/Versions/3/osgUtil

0x11b840000 - 0x11b914ff7 + () <C6E51973-1BD0-3206-87AB-9ADIFA95FIA8>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgText.framework/Versions/3/osgText

0x11b9da000 - 0x11bb24fff + () <B97C9089-C98F-34DE-9BBD-63904859411E>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgSim.framework/Versions/3/0sgSim

0x11bc59000 - 0x11bccofff + () <6865E6B2-91E5-3F61-BD82-E58B5279AAFA>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgTerrain.framework/Versions/3/osgTerrain

0x11bd2f000 - 0x11bd83ff7 + () <A7CFA151-2935-364A-BAF2-8B3E71E2806B>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgFX.framework/Versions/3/osgFX

0x11bdc7000 - 0x11becdfff + () <3F1AOEBC-F7A8-393E-8897-D199CFC3647B>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgShadow.framework/Versions/3/osgShadow

0x11bfae000 - 0x11c013ff7 + () <6ADFAB55-1D4A-3278-BA65-646DD3A86D1E>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgEarthSymbology.framework/Versions/2/osgEarthSymbology

0x11c063000 - 0x11c103ff7 + () <841607AE-356C-3523-8F99-AD422C9EDO4F>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgWidget.framework/Versions/3/osgWidget

0x11¢181000 - Ox11c1f7fff + () <CCB2D247-CE6D-3216-AA36-034469B3CBD5>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgManipulator.framework/Versions/3/osgManipulator

0x11c24a000 - 0x11c27dfff +libgpsimporterplugin.so ??? (???) <739C9755-13A7-3C68-9D0C-B32D15C38484 >
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libgpsimporterplugin.so

0x11c28f000 - 0x11c417fff +libgrassplugin.so ??? (??7?) <42721EB7-D57B-359E-AC1F-02C1CE257C65>
/Applications/QGIS-1.9.app/Contents/Plugins/qgis/libgrassplugin.so

0x11c494000 - 0x11c4aeff7 +org.qgis.qgisgrass 1.9.90 (qgisgrass 1.9.90)
<E3C55BC5-9D24-35A2-8D27-949688D60728>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgisgrass.framework/Versions/1.9/qgisgrass

0x11c4b7000 - 0x11c4f6fff +libgrass_gis.dylib 6.4.0 (compatibility 6.4.0)
<C66CB904-6204-CD8B-6D28-51F7E7F382DA> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_gis.dylib

0x11¢508000 - 0x11c537ff7 +libgrass_vect.dylib 6.4.0 (compatibility 6.4.0)
<65F427A8-FBBF-E2D7-6BA1-781A128FC4DD> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_vect.dylib

0x11c544000 - 0x11c549ff7 +libgrass_dbmiclient.dylib 6.4.0 (compatibility 6.4.0)
<348F6CB9-8B8A-AF1D-1434-1156F8019C5F> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_dbmiclient.dylib

2025-04-27 5/14




0x11c54e000 - 0x11c553ff7 +libgrass_gproj.dylib 6.4.0 (compatibility 6.4.0)
<6F929F05-877B-B6A7-21F8-DDA92F3CEFES3> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_gproj.dylib

0x11¢557000 - 0x11c55¢fff +libgrass_datetime.dylib 6.4.0 (compatibility 6.4.0)
<1317A610-B60F-F3D7-7138-7B8EDDFDC889> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_datetime.dylib

0x11¢560000 - 0x11c56eff7 +libgrass_dig2.dylib 6.4.0 (compatibility 6.4.0)
<BC298B6E-3BEA-B80D-BD02-21FCOD9B386D> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_dig2.dylib

0x11¢573000 - 0x11c584fff +libgrass_dgl.dylib 6.4.0 (compatibility 6.4.0)
<51EE3554-2180-2DAE-15B1-9A6C722718D8> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_dgl.dylib

0x11c58a000 - 0x11cb5a7fif +libgrassprovider.so ??? (???) <94CF5B8B-5B65-3B56-9C91-0ACA979E799A>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libgrassprovider.so

0x11¢c5b5000 - 0x11c5c7fff +libgrassrasterprovider.so ??? (???) <9B7ADB36-6718-3112-9BB0-D89BAF7DCC18>
/Applications/QGIS-1.9.app/Contents/Plugins/qgis/libgrassrasterprovider.so

0x11¢5d0000 - 0x11c5e6fff +libinterpolationplugin.so ??? (???) <C15C4564-A1DC-3FB3-AA30-40BA6AA99F5C>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libinterpolationplugin.so

0x11c5f4000 - 0x11c601fff +libmemoryprovider.so ??7? (??7) <B5B66475-28EB-3048-AE84-B88BF834808B>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libmemoryprovider.so

0x11c60a000 - 0x11c62bff7 +libofflineeditingplugin.so ??7? (???) <213E5BBC-2962-39E8-AE2F-C51B8914EBCF>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libofflineeditingplugin.so

0x11¢63e000 - 0x11c664fff +libogrprovider.so ??? (???) <CB8C9975-99B1-3EB3-B82D-3F5D399288A9>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libogrprovider.so

0x11¢675000 - 0x11c679ff7 +ogr_ GRASS.dylib ??? (??7?) <28201BA5-80FC-B86B-F7F7-CCC50C4CE2EF>
/Library/Application Support/GDAL/1.8/Pluglns/ogr_ GRASS.dylib

0x11¢c680000 - 0x11c684ff7 +libgrass_gmath.dylib 6.4.0 (compatibility 6.4.0)
<C12B66EA-3482-F6E8-096E-04A7CFF852DA> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_gmath.dylib

0x11¢c687000 - 0x11c774fe7 +libfftw3.3.dylib 6.4.0 (compatibility 6.0.0) <365B4F25-54AD-DE08-E667-96D4COFBAC5A>
/Applications/GRASS-6.4.app/Contents/MacOS/lib/libfftw3.3.dylib

0x11c78b000 - 0x11c79dfff +liboracleplugin.so ??? (???) <ACF40A6F-CB1A-35E8-A813-D9E1EF479E4A>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/liboracleplugin.so

0x11c7a7000 - 0x11c7c8ff7 +libosmprovider.so ??7? (??7?) <E5CF9326-3309-322C-BF76-0D536BCBF5FE>
/Applications/QGIS-1.9.app/Contents/Plugins/qgis/libosmprovider.so

0x11¢7d8000 - 0x11c84ffff +libpostgresprovider.so ??? (???) <6ASBACBA9-3B99-308F-85AD-B82209BDABEE>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libpostgresprovider.so

0x11¢873000 - 0x11c880fff +librasterterrainplugin.so ??? (???) <A7990C66-6FAA-33EE-8DD8-A99326029907>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/librasterterrainplugin.so

0x11c88a000 - 0x11c8a8ff7 +libroadgraphplugin.so ??? (??7?) <823EF9D1-63C9-3C62-B6EF-B5E43975A193>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libroadgraphplugin.so

0x11c8b9000 - 0x11c8c8ff7 +org.qgis.qgis_networkanalysis 1.9.90 (qgis_networkanalysis 1.9.90)
<3B1639E2-0D58-3DFF-B38E-22DEB5495829>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgis_networkanalysis.framework/Versions/1.9/qgis_networkanalysis

0x11¢8d2000 - 0x11c916ff7 +libspatialiteprovider.so ??? (???) <B59C2205-45D7-3364-9B2C-4E672EE25970>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libspatialiteprovider.so

0x11¢931000 - 0x11c950ff7 +libspatialqueryplugin.so ??? (???) <6EA91EC1-FBC2-39E8-8393-07AAEDB1B900>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libspatialqueryplugin.so

0x11¢c961000 - 0x11c9b9ff7 +libspitplugin.so ??? (???) <16B7C135-AAC5-3E83-B65E-4E0491AFB38E>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libspitplugin.so

0x11¢9cc000 - 0x11ca00ff7 +libsglanywhereplugin.so ??? (???) <BD2906D4-E15C-3E84-B6F0-9303BEB63DAA>
/Applications/QGIS-1.9.app/Contents/Plugins/qgis/libsglanywhereplugin.so

0x11ca19000 - 0x11ca28fff +org.qgis.qgisgrass 1.9.90 (ggissqglanyconnection 1.9.90)
<18E864D9-0D4F-3034-9FDD-BF3123C047CD>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgissglanyconnection.framework/Versions/1.9/ggissglanyconnection

0x11ca2e000 - 0x11ca4ffff +libsglanywhereprovider.so ??7? (??7?) <0B9D1055-487A-3E2C-9104-4865DE2E6220>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libsglanywhereprovider.so

0x11ca5b000 - 0x11ca9dfff +libwfsprovider.so ??? (???) <135D481D-BBE1-3883-AAEC-FC42DB140CDF>
/Applications/QGIS-1.9.app/Contents/Pluglns/qgis/libwfsprovider.so
0x11cabc000 - 0x11cbccff7 org.python.python 2.6.1 (2.6.1) <126 DA8FF-5BC2-8788-51E3-D7A29A3F9FOF>
/System/Library/Frameworks/Python.framework/Versions/2.6/Python
0x11ccdc000 - 0x11ce7ffef +QtCore.so ??? (???) <BED1D083-DADF-305A-8F8B-75564B1F19D0>
/Applications/QGIS-1.9.app/Contents/Resources/python/PyQt4/QtCore.so
0x11cfe5000 - 0x11d4fafff +QtGui.so ??? (???) <C11632FA-290B-3C28-B526-CE1A4574821D>
/Applications/QGIS-1.9.app/Contents/Resources/python/PyQt4/QtGui.so
0x11d96f000 - 0x11d9a6fe7 +QtXml.so ??? (???) <A6EAC186-52EC-36D8-85D9-4D35EBDD3EDD>
/Applications/QGIS-1.9.app/Contents/Resources/python/PyQt4/QtXml.so
0x11d9d2000 - 0x11d9d5fff operator.so ??7? (???) <ADC2B876-4E3F-93E3-D83C-4B8A3AEAAE2B>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/operator.so
0x11d9db000 - 0x11d9defff _csv.so ??? (???) <ACE39A2B-E3BC-EC0C-D825-1812240F2B06>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_csv.so
0x11d9e4000 - 0x11d9e7ff7 strop.so ??? (???) <4A91CDB0-6E91-DAOE-8E6B-38BE29105EAQ>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/strop.so
0x11d9ec000 - 0x11d9f3fff _socket.so ??? (?7?7) <BA49272E-D7AA-158E-C95E-366B6349C046>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_socket.so
0x11d9fb000 - 0x11d9fcfff _random.so ??? (???) <FC54824D-3F1F-D538-DBF8-05E393A696B6>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_random.so
0x11dc00000 - 0x11ddabff7 +core.so ??? (??7?) <C22AF0D8-96CE-3C2F-BD23-4823B0C5DA15>
/Applications/QGIS-1.9.app/Contents/Resources/python/qgis/core.so
0x11ded2000 - 0x11df48fff +QtNetwork.so ??7? (??7?) <53AEDD90-E9B1-3375-9008-BACB6BFE93B3>
/Applications/QGIS-1.9.app/Contents/Resources/python/PyQt4/QtNetwork.so
0x11dfe9000 - 0x11dfecfff _ssl.so ??7? (??7?) <B10EAC68-E620-8A1A-0219-68CCABC29CA2>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_ssl.so
0x11dff2000 - 0x11dff5fff _collections.so ??7? (???) <567523A72-6EAC-69D0-DC9B-6B698973156C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_collections.so
0x11dffb000 - Ox11dffcfff fentl.so ??? (???) <B58E4C0C-1065-E37B-5334-DFDBAD20655C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/fcntl.so
0x11e100000 - 0x11e1f0fff +gui.so ??? (???) <F3FD051F-BAOE-3655-A80A-CFECF9560F66>
/Applications/QGIS-1.9.app/Contents/Resources/python/qgis/gui.so
0x11e445000 - 0x11e449ff7 _struct.so ??7? (???) <B4DD710D-1511-99F0-66AE-329185E2B88C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_struct.so
0x11e44f000 - 0x11e451fe7 binascii.so ??? (???) <D7D60C49-DEFA-5DB1-83B0-F91347966BC8>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/binascii.so
0x11e495000 - 0x11e4dafff +_gdal.so ??? (?77?) <35F88E61-A6CD-3C6F-8C32-4B58F4F9A35A>
/Library/Frameworks/GDAL.framework/Versions/1.8/Python/2.6/site-packages/osgeo/_gdal.so
0x11e52¢000 - 0x11e52ffff +gdal_GRASS.dylib ??? (???) <DD5ECA85-6E2D-4563-0EF1-B4B5AD833748>
/Library/Application Support/GDAL/1.8/Pluglns/gdal_GRASS.dylib
0x11e535000 - 0x11e53bff7 +libgrass_I.dylib 6.4.0 (compatibility 6.4.0) <FCEEA47E-EQ9B-A953-7E55-209A76A7F25E>
/Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_I.dylib
0x11e53f000 - 0x11e542fff +_gdalconst.so ??? (???) <F367A4B7-528C-3819-9D15-9661A61AABE3>
/Library/Frameworks/GDAL.framework/Versions/1.8/Python/2.6/site-packages/osgeo/_gdalconst.so
0x11e586000 - 0x11e5cffff +_ogr.so ??? (???) <A9705DBE-B165-337F-B36A-1505D1A9CF29>
/Library/Frameworks/GDAL.framework/Versions/1.8/Python/2.6/site-packages/osgeo/_ogr.so
0x11e5de000 - 0x11e611fff +_osr.so ??? (???) <BB990491-F488-3FE1-B7C0-07D132A6426F>
/Library/Frameworks/GDAL.framework/Versions/1.8/Python/2.6/site-packages/osgeo/_osr.so
0x11e69¢000 - 0x11e719fef unicodedata.so ??? (??7?) <3C8ED26D-A8A3-C77A-0D13-9FA780629201>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/unicodedata.so
0x7fff5fc00000 -  Ox7fff5fc3bdef dyld 132.1 (???) <69130DA3-7CB3-54C8-ABC5-423DECDD2AF7> /usr/lib/dyld
0x7fff801ba000 -  0x7fff80bb4ff7 com.apple.AppKit 6.6.8 (1038.36) <4CFBE04C-8FB3-BOEA-8DDB-7E7D10E9D251>
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x7fff80be5000 -  Ox7fff80bfaff7 com.apple.LangAnalysis 1.6.6 (1.6.6) <1AE1FE8F-2204-4410-C94E-0E93B003BEDA>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnaly
nalysis

0x7fff80c41000 -  Ox7fff80c42fff liblangid.dylib ??7? (???) <EA4D1607-2BD5-2EE2-2A3B-632EEE5A444D>
/usr/lib/liblangid.dylib

0x7fff80c67000 -  Ox7fff80d20fff libsqlite3.dylib 9.6.0 (compatibility 9.0.0) <2C5ED312-E646-9ADE-73A9-6199A2A43150>
/usr/lib/libsqlite3.dylib

0x7fff80d21000 -  0x7fff80ddefff com.apple.CoreServices.OSServices 359.2 (359.2)
<BBB8888E-18DE-5D09-3C3A-F4C029EC7886>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x7fff80f9d000 -  0x7fff80fbdff7 com.apple.DirectoryService.Framework 3.6 (621.11)
<AD76C757-6701-BDB5-631E-1CB77D669586>
/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService

0x7fff81753000 -  0x7fff8179bff7 libvDSP.dylib 268.0.1 (compatibility 1.0.0) <98FC4457-F405-0262-00F7-56119CA107B6>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x7fff81a06000 -  Ox7fff81a4ffef libGLU.dylib ??? (???) <1C050088-4AB2-2BC2-62E6-C969F925A945>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

0x7fff81290000 -  Ox7fff81a95fff libGIF.dylib ??? (???) <201B8077-B5CC-11AA-E1B0-1D057ABE416A>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libG
NlibGIF.dylib

0x7fff81296000 - Ox7fff81aacfe7 com.apple.MultitouchSupport.framework 207.11 (207.11)
<8233CE71-6F8D-8B3C-A0E1-E123F6406163>
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport

0x7fff81aaf000 -  Ox7fff81b5ffff edu.mit.Kerberos 6.5.11 (6.5.11) <085D80F5-C9DC-E252-C21B-03295E660C91>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x7fff81ba2000 - 0x7fff81ba7ff7 com.apple.CommonPanels 1.2.4 (91) <4D84803B-BD06-D80E-15AE-EFBE43F93605>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x7fff81ba8000 -  0x7fff81d69fef libSystem.B.dylib 125.2.11 (compatibility 1.0.0)
<9AB4F1D1-89DC-0E8A-DC8E-A4FE4D69DB69> /ust/lib/libSystem.B.dylib

0x7fff81e75000 -  Ox7fff81e75ff7 com.apple.Carbon 150 (152) <COE61968-57F3-6EE1-8524-32A18955BAF0>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x7fff81e76000 -  0x7fff81e9efff com.apple.DictionaryServices 1.1.2 (1.1.2)
<E9269069-93FA-2B71-FOBA-FDDD23C4A65E>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryS
aryServices

0x7fff81e9f000 -  0x7fff822e3fef libLAPACK.dylib 219.0.0 (compatibility 1.0.0)
<E14EC4C6-B055-A4AC-B971-42AB644E4A7C>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x7fff822e4000 -  Ox7fff82330fff libauto.dylib ??? (??7?) <F7221B46-DC4F-3153-CE61-7F52C8C293CF>
/usr/lib/libauto.dylib

0x7fff823a6000 - 0x7fff823baff7 com.apple.speech.synthesis.framework 3.10.35 (3.10.35)
<63C87CF7-56B3-4038-8136-8C26E96AD42F >
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/Speec
eechSynthesis

0x7fff8242f000 -  0x7fff82549fef libGLProgrammability.dylib ??? (???) <BA4B86E3-0FA7-8684-2EF2-C5F8079428DB>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib

0x7fff8254a000 -  0x7fff82669fe7 libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8)
<14115D29-432B-CF02-6B24-A60CC533A09E> /usr/lib/libcrypto.0.9.8.dylib

0x7fff8266a000 -  0x7fff826a5fff com.apple.AE 496.5 (496.5) <208DF391-4DE6-81ED-C697-14A2930D1BC6>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x7fff826a6000 -  0x7fff826b5fff com.apple.NetFS 3.2.2 (3.2.2) <7CCBD70E-BF31-A7A7-DB98-230687773145>
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS

0x7fff828f9000 -  0x7fff82948fef libTIFF.dylib ??? (???) <1E2593D1-A7F6-84C6-DF8F-0B46AE445926>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libT
0x7fff82993000 -  0x7fff82a11ff7 com.apple.CoreText 151.10 (???) <54961997-55D8-DCOF-2634-674E452D5A8E>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/Core Text.framework/Versions/A/Core Text

0x7fff82a31000 -  0x7fff82a4afff com.apple.CFOpenDirectory 10.6 (10.6) <401557B1-C6D1-7E1A-0D7E-941715C37BFA>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirg
nDirectory

0x7fff82a97000 -  0x7fff82a9dff7 10Surface ??7? (???) <6AF28EC1-BCC4-9F65-AF7D-ABE60B91072A>
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface

0x7fff82c8b000 -  0x7fff82c8eff7 com.apple.securityhi 4.0 (36638) <EABABBAS-AB59-599A-1884-0010C059DE6G2>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityH|.framework/Versions/A/SecurityHI

0x7fff82daa000 -  0x7fff82e75fff ColorSyncDeprecated.dylib 4.6.0 (compatibility 1.0.0)
<E72880D9-3B5D-D086-9266-F4F3C294619F>
/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDef
cDeprecated.dylib

0x7fff82e76000 -  Ox7fff82ec9ff7 com.apple.HIServices 1.8.3 (???) <F6E0C7A7-C11D-0096-4DDA-2C77793AA6CD>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices[?]
es

0x7fff82f0d000 -  0x7fff82f0dff7 com.apple.ApplicationServices 38 (38) <10A0B9E9-4988-03D4-FC56-DDE231A02C63>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x7fff82f36000 -  0x7fff8304dfef libxml2.2.dylib 10.3.0 (compatibility 10.0.0)
<1B27AFDD-DF87-2009-170E-C129E1572E8B> /usr/lib/libxml2.2.dylib

0x7fff8311c000 -  Ox7fff8311fff7 libCoreVMClient.dylib ??? (???) <E03D7C81-A3DA-D44A-A88A-DDBB98AF910B>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib

0x7fff8386f000 -  0x7fff838a0fff libGLImage.dylib ??? (??7?) <7F102A07-E4FB-9F52-B2F6-4E2D2383CA13>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib

0x7fff838a1000 -  0x7fff83962fff libFontParser.dylib ??? (???) <AOOBBOA7-E46C-1D07-1391-194745566C7E>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontP|
ontParser.dylib

0x7fff83963000 -  0x7fff83988ff7 com.apple.CoreVideo 1.6.2 (45.6) <E138C8E7-3CB6-55A9-0A2C-B73FE63EA288>
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo

0x7fff83989000 -  0x7fff83998fef com.apple.opengl 1.6.13 (1.6.13) <516098B3-4517-8A55-64BB-195CDAA5334D>
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0x7fff839e3000 - 0x7fff83ac8fef com.apple.DesktopServices 1.5.11 (1.5.11)
<39FAA3D2-6863-B5AB-AED9-92D878EA2438>
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x7fff83ac9000 -  0x7fff83af0ff7 libJPEG.dylib ??? (???) <46A413EA-4FD1-A050-2EF0-6279F3EAD581>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libJf
/libJPEG.dylib

0x7fff83af1000 -  0x7fff83be9ff7 libiconv.2.dylib 7.0.0 (compatibility 7.0.0) <44AADE50-15BC-BC6B-BEF0-5029A30766AC>
/usr/lib/libiconv.2.dylib

0x7fff83bea000 -  Ox7fff83bf1fff com.apple.OpenDirectory 10.6 (10.6) <4FF6AD25-0916-B21C-9E88-2CC42D90EACT7>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory

0x7fff83bf2000 -  0x7fff83c00ff7 libkxld.dylib ??? (???) <8145A534-95CC-9F3C-B78B-AC9898F38C6F>
/ustr/lib/system/libkxId.dylib

0x7fff83c42000 -  0x7fff83cc7ff7 com.apple.print.framework.PrintCore 6.3 (312.7)
<CDFE82DD-D811-A091-179F-6E76069B432D>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x7fff83d58000 -  0x7fff83d5bfff com.apple.help 1.3.2 (41.1) <BD1B0A22-1CB8-263E-FF85-5BBFDE3660B9>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x7fff83d5c000 -  Ox7fff83d8fff7 libTrueTypeScaler.dylib ??? (???) <69D4A213-45D2-196D-7FF8-B52A31DFD329>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueT|
rueTypeScaler.dylib

0x7fff83dc0000 -  Ox7fff83dfOfef com.apple.shortcut 1.1 (1.1) <A99C9D8E-290B-B1E4-FEA5-CC5F2FB9C18D>
/System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut

0x7fff83eca000 -  0x7fff83eceff7 libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0)
<95718673-FEEE-B6ED-B127-BCDBDB60D4ES5> /ust/lib/system/libmathCommon.A.dylib

Ox7fff83ff8000 -  Ox7fff83ff8ff7 com.apple.Cocoa 6.6 (??7?) <68BOBE46-6E24-C96F-B341-054CFIE8F3B6>
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa

0x7fff83ff9000 -  Ox7fff842f7fff com.apple.HIToolbox 1.6.5 (???) <AD1C18F6-51CB-7E39-35DD-F16B1EB978A8>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x7fff84382000 -  0x7fff843c3fff com.apple.SystemConfiguration 1.10.8 (1.10.2)
<78D48D27-A9C4-62CA-2803-DOBBED82855A>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x7fff843c4000 - Ox7fff843cfff7 com.apple.speech.recognition.framework 3.11.1 (3.11.1)
<3D65E89B-FFC6-4AAF-D5CC-104F967C8131>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecogniti
gnition

0x7fff843d0000 -  0x7fff84425ff7 com.apple.framework.familycontrols 2.0.2 (2020)
<F09541B6-5E28-1C01-C1AE-F6A2508670C7>
/System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls

0x7fff84c5a000 -  0x7fff84cd9fe7 com.apple.audio.CoreAudio 3.2.6 (3.2.6) <79E256EB-43F1-C7AA-6436-124A4FFB02D0>
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x7fff84cda000 -  0x7fff84e98fff libicucore.A.dylib 40.0.0 (compatibility 1.0.0) <4274FC73-A257-3A56-4293-5968F3428854>
/usr/lib/libicucore.A.dylib

0x7fff84€99000 -  0x7fff84f03fe7 libvMisc.dylib 268.0.1 (compatibility 1.0.0)
<AFOEA96D-000F-8C12-B952-CB7E00566E08>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x7fff84f04000 -  0x7fff84f26ff7 libexpat.1.dylib 7.2.0 (compatibility 7.0.0) <8EC31253-B585-D05E-F35D-AE3292FB790B>
/usr/lib/libexpat.1.dylib

0x7fff85167000 -  0x7fff85172ff7 com.apple.HelpData 2.0.5 (34.1.1) <24DC6CD3-02B7-9332-FF6D-FO0C545857B55>
/System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData

0x7fff85173000 -  0x7fff8597dfe7 libBLAS.dylib 219.0.0 (compatibility 1.0.0)
<EEE5CE62-9155-6559-2AEA-05CEDOF5B0F 1>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x7fff85c28000 -  0x7fff85ce9fef com.apple.ColorSync 4.6.6 (4.6.6) <BB2C5813-C61D-3CBA-A8F7-0E59E46EBEES>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync[?]
c

0x7fff85ceal00 -  0x7fffe5d2dfef libtidy.A.dylib ??7? (?7?) <2F4273D3-418B-668C-F488-7E659D3A8C23>
/usr/lib/libtidy.A.dylib

0x7fff85dc1000 -  Ox7fff860f5fef com.apple.CoreServices.CarbonCore 861.39 (861.39)
<1386A24D-DD15-5903-057E-4A224FAF580B>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x7fff860f6000 -  0x7fff86140ff7 com.apple.Metadata 10.6.3 (507.15) <2EF19055-D7AE-4D77-E589-7B71B0BC1E59>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x7fff86141000 -  0x7fff8617bfff libcups.2.dylib 2.8.0 (compatibility 2.0.0) <5639EBFDD-96D6-FB07-B128-40232C408757>
/usr/lib/libcups.2.dylib

0x7fff8617c000 - Ox7fff86232ff7 libobjc.A.dylib 227.0.0 (compatibility 1.0.0)
<03140531-3B2D-1EBA-DA7F-E12CC8F63969> /usr/lib/libobjc.A.dylib

0x7fff8667b000 -  0x7fff866b8fff com.apple.LDAPFramework 2.0 (120.1) <54A6769E-D7E2-DBE2-EA61-87B9EA355DA4>
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP

0x7fff866b9000 -  0x7fff866fafef com.apple.QD 3.36 (???) <5DC41E81-32C9-65B2-5528-B33E934D5BB4>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x7fff866fb000 -  0x7fff8697dfff com.apple.Foundation 6.6.8 (751.63) <E10E4DB4-9D5E-54A8-3FB6-2A82426066E4>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x7fff8697e000 -  Ox7fff8699ffff libresolv.9.dylib 41.0.0 (compatibility 1.0.0) <9F322F47-0584-CB7D-5B73-9EBD670851CD>
/ustr/lib/libresolv.9.dylib
0x7fff869ac000 - Ox7fff869f3ff7 com.apple.coreui 2 (114) <923E33CC-83FC-7D35-5603-FB8F348EE34B>
/System/Library/PrivateFrameworks/CoreUl.framework/Versions/A/CoreUl

0x7fff86a0a000 - 0x7fff86a17fe7 libCSync.A.dylib 545.0.0 (compatibility 64.0.0)
<1C35FA50-9C70-48DC-9E8D-2054F7A266B1>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCSync.A.dylib

0x7fff86a18000 - 0x7fff86a78fe7 com.apple.framework.lOKit 2.0 (??7?) <4F071EF0-8260-01E9-C641-830E582FA416>
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x7fff86a79000 -  0x7fff86b09fff com.apple.SearchKit 1.3.0 (1.3.0) <3403E658-A54E-A79A-12EB-E090E8743984>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x7fff86b0a000 -  0x7fff86b27ff7 libPng.dylib ??7? (???) <6D8E515B-E0A2-2BA1-9CAC-8CB8A8B35879>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libP
/libPng.dylib

0x7fff86b59000 -  0x7fff86b5fff7 com.apple.DiskArbitration 2.3 (2.3) <857F6E43-1EF4-7D53-351B-10DEOA8F992A>
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x7fff86b60000 -  0x7fff86¢c15fe7 com.apple.ink.framework 1.3.3 (107) <8C36373C-5473-3A6A-4972-BC29D504250F >
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x7fff86¢c16000 -  Ox7fff86¢c59ff7 libRIP.A.dylib 545.0.0 (compatibility 64.0.0)
<5FF3D7FD-84D8-C5FA-D640-90BB82EC651D>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libRIP.A.dylib

0x7fff86c5a000 -  0x7fff86cebfef SecurityFoundation ?7? (??7) <8A74D45E-9FE9-DD58-42F5-C7474FFDDOC1>
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation

0x7fff86ce7000 -  Ox7fff86e25fff com.apple.CoreData 102.1 (251) <9DFE798D-AA52-6A9A-924A-DA73CB94D81A>
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData

0x7fff86e26000 -  0x7fff86e37ff7 libz.1.dylib 1.2.3 (compatibility 1.0.0) <97019C74-161A-3488-41EC-A6CA8738418C>
/usr/lib/libz.1.dylib

0x7fff87078000 -  0x7fff8708efef libbsm.0.dylib ??? (???) <83676D2E-23CD-45CD-BE5C-35FCFFBBBDBB>
/usr/lib/libbsm.0.dylib

0x7fff8709e000 -  0x7fff870b0fe7 libsasl2.2.dylib 3.15.0 (compatibility 3.0.0)
<76B83C8D-8EFE-4467-0F75-275648AFED97> /usr/lib/libsasl2.2.dylib

0x7fff87387000 - 0x7fff87387ff7 com.apple.Accelerate 1.6 (Accelerate 1.6)
<15DF8B4A-96B2-CB4E-368D-DEC7DF6B62BB> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x7fff87469000 - 0x7fff876f1fef com.apple.security 6.1.2 (55002) <015C9A08-3D07-9462-8E91-DB1924349621>
/System/Library/Frameworks/Security.framework/Versions/A/Security

0x7fff876f2000 -  0x7fff87741ff7 com.apple.DirectoryService.PasswordServerFramework 6.1 (6.1)
<01B370FB-D524-F660-3826-E85B7F0D85CD>
/System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer

0x7fff8774e000 -  0x7fff8774fff7 com.apple.audio.units.AudioUnit 1.6.7 (1.6.7)
<53299948-2554-0F8F-7501-04B34E49F6CF> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x7fff87750000 -  0x7fff8790eff7 com.apple.ImagelO.framework 3.0.4 (3.0.4)
<0A4F51A1-4502-767B-8A4E-F14C6214EF88>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/ImagelO

0x7fff87972000 -  0x7fff879aefe? libcurl.4.dylib 6.1.0 (compatibility 6.0.0) <1E041185-131C-C237-C250-38BE933A269A>
/usr/lib/libcurl.4.dylib

0x7fff879af000 -  0x7fff880abff7 com.apple.CoreGraphics 1.545.0 (??7) <58D597B1-EB3B-710E-0B8C-EC114D54E11B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGrap!
raphics

0x7fff880c7000 -  Ox7fff88104ff7 libssl.0.9.8.dylib 0.9.8 (compatibility 0.9.8)
<F743389F-F25A-A77D-4FCA-D6B01AF2EEED> /ust/lib/libssl.0.9.8.dylib

0x7fff88105000 -  0x7fff881e2fff com.apple.vimage 4.1 (4.1) <C3F44AA9-6F71-0684-2686-D3BBC903F020>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vimage.framework/Versions/A/vimage

0x7fff881e3000 -  0Ox7fff881e5fff com.apple.print.framework.Print 6.1 (237.1)

/libCSy

ng.dylib

/libRIP

hics[?]

2025-04-27 11/14



<CA8564FB-B366-7413-B12E-9892DA3C6157>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x7fff881e6000 -  0x7fff881ebfff libGFXShared.dylib ??? (???) <1D0D3531-9561-632C-D620-1A8652BEF5BC>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib

0x7fff881ec000 -  0x7fff881f0ff7 libCGXType.A.dylib 545.0.0 (compatibility 64.0.0)
<DB710299-B4D9-3714-66F7-5D2964DE585B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCGXType.A.dylib

0x7fff893d4000 -  0x7fff893d5ff7 com.apple.TrustEvaluationAgent 1.1 (1) <5952A9FA-BC2B-16EF-91A7-43902A5C07B6>
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent

0x7fff893d6000 -  0x7fff893d8fff libRadiance.dylib ??? (???) <A9DB4D5D-4072-971B-DEF6-DDE645F415EA>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libR
/libRadiance.dylib

0x7fff893d9000 -  0x7fff893d9ff7 com.apple.Accelerate.vecLib 3.6 (vecLib 3.6)
<4CCE5D69-F1B3-8FD3-1483-E0271DB2CCF3>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff893da000 - 0x7fff894aefe7 com.apple.CFNetwork 454.12.4 (454.12.4)
<C83E2BA1-1818-B3E8-5334-860AD21D1C80>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x7fff894af000 -  0x7fff8952cfef libstdc++.6.dylib 7.9.0 (compatibility 7.0.0)
<35ECA411-2C08-FD7D-11B1-1B7A04921A5C> /usr/lib/libstdc++.6.dylib

0x7fff8952d000 -  0x7fff895¢c7fff com.apple.ApplicationServices.ATS 275.19 (?7?)
<FBC907AF-C3EF-CAF1-3705-13DC91B29114>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x7fff895c8000 -  0x7fff895c8ff7 com.apple.vecLib 3.6 (vecLib 3.6) <96FB6BAD-5568-C4E0-6FA7-02791A58B584>
/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff8966d000 -  0x7fff89681fff libGL.dylib ??? (???) <2ECE3BOF-39E1-3938-BF27-7205C6D0358B>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x7fff896a3000 -  0x7fff89a40fe7 com.apple.QuartzCore 1.6.3 (227.37) <16DFF6CD-EA58-CE62-A1D7-5F6CE3D066DD>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore

0x7fff89ab6000 -  0x7fff89af3ff7 libFontRegistry.dylib ??? (???) <4C3293E2-851B-55CE-3BE3-29C425DD5DFF>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontR
ontRegistry.dylib

0x7fff89afd000 -  0x7fff89b28ff7 libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <BAB4CA9E-435A-33DA-7041-904BA7FA11D5>
/usr/lib/libxslt.1.dylib

0x7fff89029000 -  0x7fff89b40fff com.apple.ImageCapture 6.1 (6.1) <79AB2131-2A6C-F351-38A9-ED58B25534FD>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x7fff89d8c000 -  Ox7fff89daffff com.apple.opencl 12.3.6 (12.3.6) <42FA5783-EB80-1168-4015-B8C68F55842F >
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL

0x7fff89e67000 -  Ox7fff89f07fff com.apple.LaunchServices 362.3 (362.3) <B90B7C31-FEF8-3C26-BFB3-D8A48BD2C0ODA>
0x7fff89f16000 -  0x7fff89f16ff7 com.apple.CoreServices 44 (44) <DC7400FB-851E-7B8A-5BF6-6F50094302FB>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x7fff89f17000 -  0x7fff89f32ff7 com.apple.openscripting 1.3.1 (??7?) <9D50701D-54AC-405B-CC65-026FCB28258B>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x7fff89f33000 -  0x7fff89f39ff7 com.apple.CommerceCore 1.0 (9.1) <3691E9BA-BCF4-98C7-EFEC-78DA6825004E>
/System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/Comme
mmerceCore

0x7fff89f7a000 -  0x7fff8alaffff com.apple.audio.toolbox.AudioToolbox 1.6.7 (1.6.7)
<E5D7DBDB-6DDF-E6F9-C71C-86F4520EE5A3>
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x7fff8a0c9000 - 0x7fff8a240fe7 com.apple.CoreFoundation 6.6.6 (550.44)

rceCor
<BB4E5158-E47A-39D3-2561-96CB49FA82D4 >
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x7fffffe00000 -  Ox7fffffe01fff libSystem.B.dylib ??7? (???) <9AB4F1D1-89DC-0E8A-DC8E-A4FE4D69DB69>
/usr/lib/libSystem.B.dylib

Model: MacBookPro6,2, BootROM MBP61.0057.B0C, 2 processors, Intel Core i5, 2.4 GHz, 4 GB, SMC 1.58f16
Graphics: NVIDIA GeForce GT 330M, NVIDIA GeForce GT 330M, PCle, 256 MB

Graphics: Intel HD Graphics, Intel HD Graphics, Built-In, 288 MB

Memory Module: global_name

AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 12 devices, 1 incoming serial ports

Network Service: AirPort, AirPort, en1

Serial ATA Device: TOSHIBA MK3255GSXF, 298.09 GB

Serial ATA Device: MATSHITADVD-R UJ-898

USB Device: Hub, 0x0424 (SMSC), 0x2514, 0xfa100000 / 2

USB Device: Apple Optical USB Mouse, 0x05ac (Apple Inc.), 0x0304, 0xfa140000/ 6

USB Device: Internal Memory Card Reader, 0x05ac (Apple Inc.), 0x8403, 0xfa130000 /5

USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x0236, 0xfa120000 / 4

USB Device: BRCM2070 Hub, 0x0a5c (Broadcom Corp.), 0x4500, Oxfa110000 /3

USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x8218, 0xfa113000/9

USB Device: Hub, 0x0424 (SMSC), 0x2514, 0xfd100000 /2

USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8242, 0xfd120000 / 4

USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8507, 0xfd110000/ 3

Associated revisions

Revision 89306335 - 2012-01-14 05:26 PM - Jiirgen Fischer

vector provider: fetch codec list from Qt and default to System when a unavailable codecs is requested (might cure issuelD #4801)

History

#1 - 2012-01-13 05:53 AM - Paolo Cavallini

Not confirmed here. Must be a local problem. Please try with a clean install, no cruft around.

#2 - 2012-01-13 05:55 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2012-01-13 06:20 AM - Paolo Cavallini

- Priority changed from 6 to Normal

- Category set to Build/Install

#4 - 2012-01-14 08:32 AM - Jiirgen Fischer

Following the backtrace is might be a wrong encoding selected in "Add vector layer". With commit:89306335ae6a6dda262f6184d350b44caba6192b

(master) QGIS now retrieves the available codec list from Qt instead of using a hardwired list and falls back to "System" if a unavailable codec is
requested. Please test and report.

#5 - 2012-01-28 04:13 PM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to fixed

This should be fixed. Closing for lack of feedback. Reopen if necessary.
